import java.awt.*;

/** Abstrakte Klasse zur Speicherung
  * eines graphischen Elements eines Zeichens
  *
  * @author Bernhard Fiser 0109815
  */
public abstract class CharElement
{
	/** Defniert die Methode zur Datenbernahme in das Element */
	abstract boolean parseLine(String s);
	
	/** Definiert die Methode um das Element graphisch darzustellen */
	abstract void draw(int x, int y, int zoom, Graphics g);
}
